<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Exercice</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="content">
      <div class="box">
        <table id="users">
          <thead>
            <th>ID</th>
            <th>Date de création</th>
            <th>Etat</th>
            <th>Nom</th>
            <th>Prénom</th>
            <th>Nom d'utilsateur</th>
            <th>Matricule</th>
            <th>Action</th>
          </thead>
          <tbody id="user-body">
          </tbody>
        </table>
      </div>
      <div class="box">
        <div class="btn">
          <a href="" id="open-modal">Ajouter Utilisateur</a>
        </div>
      </div>
    </div>
    

    <!-- Modal -->
    <div id="wrap-modal" class="hide">
      <div class="cover" id="cover"></div>
      <div class="content modal">
          <div class="box">
            <h2>Ajout d'utilisateur</h2>
            <form action="" id="user-form" method="post">
              <div class="line">
                <div class="item">
                  <label for="lastName">Nom</label>
                  <input type="text" name="lastName" id="lastName">
                </div>
                <div class="item">
                  <label for="firstName">Prénom</label>
                  <input type="text" name="firstName" id="firstName">
                </div>
                <div class="item">
                  <label for="status">Etat</label>
                  <select name="status" id="status">
                    <option value="En validation" selected>En validation</option>
                    <option value="Validé">Validé</option>
                    <option value="Rejeté">Rejeté</option>
                  </select>
                </div>
              </div>
              <div class="line">
                <div class="item">
                  <label for="userName">Nom d'utilisateur</label>
                  <input type="text" name="userName" id="userName">
                </div>
                <div class="item">
                  <label for="createdDate">Date de création</label>
                  <input type="date" name="createdDate" id="createdDate">
                </div>
                <div class="item"></div>
              </div>
              <div class="line">
                <div class="item">
                  <label for="registrationNumber">Matricule</label>
                  <input type="number" name="registrationNumber" id="registrationNumber">
                </div>
                <div class="item"></div>
                <div class="item"></div>
              </div>
              <div class="btn">
                <a href="" id="add-user">Ajouter Utilisateur</a>
              </div>
            </form>
          </div>
      </div>
    </div>
  </body>
  <script src="main.js"></script>
</html>

